## org.apache.mahout.clustering
Interface ModelDistribution<O>

    public interface ModelDistribution<O>

A model distribution allows us to sample a model from its prior distribution.

Method Summary
`Model<O>[]` `sampleFromPosterior(Model<O>[] posterior)` Return a list of models sampled from the posterior
`Model<O>[]` `sampleFromPrior(int howMany)` Return a list of models sampled from the prior

Method Detail

### sampleFromPrior

    Model<O>[] sampleFromPrior(int howMany)

  Return a list of models sampled from the prior

  Parameters:
    `howMany` - the int number of models to return
  Returns:
    a Model<Observation>[] representing what is known apriori

### sampleFromPosterior

    Model<O>[] sampleFromPosterior(Model<O>[] posterior)

  Return a list of models sampled from the posterior

  Parameters:
    `posterior` - the Model<Observation>[] after observations
  Returns:
    a Model<Observation>[] representing what is known apriori

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.